clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
118.7
120.6625
122.625
124.5875
126.55
128.5125
130.475
132.4375
134.4
136.3625
138.325
140.2875
142.25
144.2125
146.175
148.1375
150.1
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.00109511	0.00108796	0.00108056	0.00107291	0.00106502	0.00105686	0.00104845	0.00103978	0.00103084	0.00102163	0.00101214	0.00100236	0.000992266	0.000981828	0.000971003	0.000959709	0.000947799;
0.00108695	0.00107986	0.00107252	0.00106493	0.00105709	0.00104899	0.00104065	0.00103204	0.00102317	0.00101403	0.00100461	0.0009949	0.000984879	0.00097452	0.000963775	0.000952565	0.000940743;
0.00107892	0.00107188	0.00106459	0.00105706	0.00104928	0.00104124	0.00103296	0.00102441	0.00101561	0.00100654	0.000997186	0.000987549	0.000977602	0.000967319	0.000956653	0.000945526	0.000933792;
0.00107101	0.00106402	0.00105678	0.00104931	0.00104158	0.00103361	0.00102538	0.0010169	0.00100816	0.000999153	0.000989872	0.000980304	0.000970431	0.000960224	0.000949637	0.000938591	0.000926942;
0.00106321	0.00105627	0.00104909	0.00104167	0.001034	0.00102608	0.00101791	0.00100949	0.00100082	0.000991877	0.000982664	0.000973166	0.000963365	0.000953232	0.000942722	0.000931756	0.000920193;
0.00105552	0.00104863	0.00104151	0.00103414	0.00102652	0.00101866	0.00101056	0.0010022	0.000993583	0.000984707	0.000975561	0.000966131	0.000956401	0.000946341	0.000935906	0.000925021	0.000913541;
0.00104795	0.00104111	0.00103403	0.00102671	0.00101915	0.00101135	0.0010033	0.000995004	0.000986453	0.00097764	0.000968559	0.000959198	0.000949537	0.000939549	0.00092919	0.000918383	0.000906984;
0.00104048	0.00103369	0.00102666	0.0010194	0.00101189	0.00100414	0.000996153	0.000987914	0.000979423	0.000970674	0.000961657	0.000952362	0.000942771	0.000932854	0.000922569	0.000911838	0.000900522;
0.00103312	0.00102638	0.0010194	0.00101218	0.00100473	0.00099704	0.000989105	0.000980924	0.000972493	0.000963805	0.000954853	0.000945624	0.0009361	0.000926253	0.000916041	0.000905386	0.00089415;
0.00102586	0.00101917	0.00101224	0.00100507	0.000997673	0.000990035	0.000982156	0.000974032	0.00096566	0.000957034	0.000948144	0.000938981	0.000929523	0.000919746	0.000909605	0.000899025	0.000887867;
0.0010187	0.00101205	0.00100517	0.000998061	0.000990712	0.000983127	0.000975303	0.000967237	0.000958923	0.000950357	0.00094153	0.000932429	0.000923038	0.000913329	0.000903259	0.000892753	0.000881673;
0.00101165	0.00100504	0.00099821	0.000991146	0.000983848	0.000976316	0.000968546	0.000960535	0.00095228	0.000943773	0.000935006	0.000925969	0.000916643	0.000907001	0.000897	0.000886568	0.000875564;
0.00100468	0.000998128	0.000991341	0.000984326	0.000977079	0.000969598	0.000961882	0.000953926	0.000945727	0.000937279	0.000928572	0.000919598	0.000910336	0.00090076	0.000890829	0.000880467	0.00086954;
0.000997819	0.000991306	0.000984567	0.000977599	0.000970401	0.000962972	0.000955309	0.000947407	0.000939264	0.000930874	0.000922227	0.000913313	0.000904114	0.000894605	0.000884741	0.00087445	0.000863598;
0.000991046	0.000984578	0.000977884	0.000970964	0.000963816	0.000956437	0.000948825	0.000940977	0.000932889	0.000924555	0.000915967	0.000907115	0.000897978	0.000888532	0.000878736	0.000868516	0.000857737;
0.000984365	0.00097794	0.000971292	0.000964418	0.000957317	0.000949988	0.000942428	0.000934633	0.0009266	0.000918323	0.000909792	0.000900999	0.000891924	0.000882542	0.000872812	0.00086266	0.000851954;
0.000977773	0.000971392	0.000964788	0.00095796	0.000950907	0.000943627	0.000936117	0.000928375	0.000920395	0.000912173	0.0009037	0.000894965	0.000885952	0.000876633	0.000866967	0.000856883	0.000846249];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','h',...
    'MarkerEdgeColor','[0.4940 0.1840 0.5560]',...
    'MarkerFaceColor','[0.4940 0.1840 0.5560]')

zlim([0.00082 0.00110])
ylim([118.7E9 150.1E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([118.7E9 125.0E9 130.0E9 135.0E9 140.0E9 145.0E9 150.1E9])
zticks([0.00084 0.00090 0.00095 0.00100 0.00105 0.00110])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - 20Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_20AlDoped_strainenergy_LLZO_48e.eps
print -dpng Highload_20AlDoped_strainenergy_LLZO_48e.png